# Makefile.in generated by automake 1.11.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
EXTRA_PROGRAMS = threads$(EXEEXT) threads2$(EXEEXT) threads3$(EXEEXT) \
	threads4$(EXEEXT) hello_world$(EXEEXT) location$(EXEEXT) \
	syslog$(EXEEXT) initbug$(EXEEXT) dout_alloc$(EXEEXT) \
	mangling$(EXEEXT) stabs$(EXEEXT) lines$(EXEEXT) \
	inlined$(EXEEXT) memalign$(EXEEXT)
subdir = tests
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am_dout_alloc_OBJECTS = dout_alloc-dout_alloc.$(OBJEXT)
dout_alloc_OBJECTS = $(am_dout_alloc_OBJECTS)
dout_alloc_LDADD = $(LDADD)
dout_alloc_DEPENDENCIES = ../libcwd.la
dout_alloc_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(dout_alloc_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_hello_world_OBJECTS = hello_world-hello_world.$(OBJEXT)
hello_world_OBJECTS = $(am_hello_world_OBJECTS)
hello_world_LDADD = $(LDADD)
hello_world_DEPENDENCIES = ../libcwd.la
hello_world_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(hello_world_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_initbug_OBJECTS = initbug-initbug.$(OBJEXT) \
	initbug-initbug_GlobalObject.$(OBJEXT)
initbug_OBJECTS = $(am_initbug_OBJECTS)
initbug_LDADD = $(LDADD)
initbug_DEPENDENCIES = ../libcwd.la
initbug_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(initbug_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_inlined_OBJECTS = inlined-inlined.$(OBJEXT) \
	inlined-inlined_main.$(OBJEXT)
inlined_OBJECTS = $(am_inlined_OBJECTS)
inlined_LDADD = $(LDADD)
inlined_DEPENDENCIES = ../libcwd.la
inlined_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(inlined_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_lines_OBJECTS = lines-lines.$(OBJEXT)
lines_OBJECTS = $(am_lines_OBJECTS)
lines_LDADD = $(LDADD)
lines_DEPENDENCIES = ../libcwd.la
lines_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(lines_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_location_OBJECTS = location-location.$(OBJEXT)
location_OBJECTS = $(am_location_OBJECTS)
location_LDADD = $(LDADD)
location_DEPENDENCIES = ../libcwd.la
location_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(location_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_mangling_OBJECTS = mangling-mangling.$(OBJEXT)
mangling_OBJECTS = $(am_mangling_OBJECTS)
mangling_LDADD = $(LDADD)
mangling_DEPENDENCIES = ../libcwd.la
mangling_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(mangling_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_memalign_OBJECTS = memalign-memalign.$(OBJEXT)
memalign_OBJECTS = $(am_memalign_OBJECTS)
memalign_LDADD = $(LDADD)
memalign_DEPENDENCIES = ../libcwd.la
memalign_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(memalign_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_stabs_OBJECTS = stabs-stabs.$(OBJEXT)
stabs_OBJECTS = $(am_stabs_OBJECTS)
stabs_LDADD = $(LDADD)
stabs_DEPENDENCIES = ../libcwd.la
stabs_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(stabs_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_syslog_OBJECTS = syslog-syslog.$(OBJEXT)
syslog_OBJECTS = $(am_syslog_OBJECTS)
syslog_LDADD = $(LDADD)
syslog_DEPENDENCIES = ../libcwd.la
syslog_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(syslog_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_threads_OBJECTS = threads-threads.$(OBJEXT)
threads_OBJECTS = $(am_threads_OBJECTS)
threads_DEPENDENCIES = ../libcwd_r.la
threads_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(threads_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_threads2_OBJECTS = threads2-threads2.$(OBJEXT)
threads2_OBJECTS = $(am_threads2_OBJECTS)
threads2_DEPENDENCIES = ../libcwd_r.la
threads2_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(threads2_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_threads3_OBJECTS = threads3-threads3.$(OBJEXT)
threads3_OBJECTS = $(am_threads3_OBJECTS)
threads3_DEPENDENCIES = ../libcwd_r.la
threads3_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(threads3_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_threads4_OBJECTS = threads4-threads4.$(OBJEXT)
threads4_OBJECTS = $(am_threads4_OBJECTS)
threads4_DEPENDENCIES = ../libcwd_r.la
threads4_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(threads4_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(dout_alloc_SOURCES) $(hello_world_SOURCES) \
	$(initbug_SOURCES) $(inlined_SOURCES) $(lines_SOURCES) \
	$(location_SOURCES) $(mangling_SOURCES) $(memalign_SOURCES) \
	$(stabs_SOURCES) $(syslog_SOURCES) $(threads_SOURCES) \
	$(threads2_SOURCES) $(threads3_SOURCES) $(threads4_SOURCES)
DIST_SOURCES = $(dout_alloc_SOURCES) $(hello_world_SOURCES) \
	$(initbug_SOURCES) $(inlined_SOURCES) $(lines_SOURCES) \
	$(location_SOURCES) $(mangling_SOURCES) $(memalign_SOURCES) \
	$(stabs_SOURCES) $(syslog_SOURCES) $(threads_SOURCES) \
	$(threads2_SOURCES) $(threads3_SOURCES) $(threads4_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ACLOCAL_CWFLAGS = @ACLOCAL_CWFLAGS@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CC_FINGER_PRINT = @CC_FINGER_PRINT@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CW_CONFIG_ALLOC = @CW_CONFIG_ALLOC@
CW_CONFIG_BUILTIN_RETURN_ADDRESS_OFFSET = @CW_CONFIG_BUILTIN_RETURN_ADDRESS_OFFSET@
CW_CONFIG_DEBUG = @CW_CONFIG_DEBUG@
CW_CONFIG_DEBUGM = @CW_CONFIG_DEBUGM@
CW_CONFIG_DEBUGOUTPUT = @CW_CONFIG_DEBUGOUTPUT@
CW_CONFIG_DEBUGT = @CW_CONFIG_DEBUGT@
CW_CONFIG_FRAME_ADDRESS_OFFSET = @CW_CONFIG_FRAME_ADDRESS_OFFSET@
CW_CONFIG_GLIBCXX_DEBUG = @CW_CONFIG_GLIBCXX_DEBUG@
CW_CONFIG_G_CONFIG_H_MACROS = @CW_CONFIG_G_CONFIG_H_MACROS@
CW_CONFIG_HAVE_DLOPEN = @CW_CONFIG_HAVE_DLOPEN@
CW_CONFIG_HAVE_MEMALIGN = @CW_CONFIG_HAVE_MEMALIGN@
CW_CONFIG_HAVE_POSIX_MEMALIGN = @CW_CONFIG_HAVE_POSIX_MEMALIGN@
CW_CONFIG_HAVE_PTHREADS = @CW_CONFIG_HAVE_PTHREADS@
CW_CONFIG_HAVE_VALLOC = @CW_CONFIG_HAVE_VALLOC@
CW_CONFIG_HAVE__LIBC_MALLOC = @CW_CONFIG_HAVE__LIBC_MALLOC@
CW_CONFIG_HAVE___LIBC_MALLOC = @CW_CONFIG_HAVE___LIBC_MALLOC@
CW_CONFIG_LIBBFD = @CW_CONFIG_LIBBFD@
CW_CONFIG_LOCATION = @CW_CONFIG_LOCATION@
CW_CONFIG_MAGIC = @CW_CONFIG_MAGIC@
CW_CONFIG_MARKER = @CW_CONFIG_MARKER@
CW_CONFIG_RECURSIVE_BUILTIN_RETURN_ADDRESS = @CW_CONFIG_RECURSIVE_BUILTIN_RETURN_ADDRESS@
CW_DEBUG_FLAGS = @CW_DEBUG_FLAGS@
CW_FRAME_ADDRESS_OFFSET_C = @CW_FRAME_ADDRESS_OFFSET_C@
CW_HAVE_LABS = @CW_HAVE_LABS@
CW_MALLOC_OVERHEAD = @CW_MALLOC_OVERHEAD@
CW_OPTIMISE_FLAGS = @CW_OPTIMISE_FLAGS@
CW_STRIPPED_CXXFLAGS = @CW_STRIPPED_CXXFLAGS@
CW_SYS_REDEFINES_FIX = @CW_SYS_REDEFINES_FIX@
CW_SYS_TYPEDEFS = @CW_SYS_TYPEDEFS@
CW_WARNING_FLAGS = @CW_WARNING_FLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXCPP_FINGER_PRINT = @CXXCPP_FINGER_PRINT@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = -DCWDEBUG
CXX_FINGER_PRINT = @CXX_FINGER_PRINT@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN_DOT = @DOXYGEN_DOT@
DOXYGEN_STRIP_FROM_PATH = @DOXYGEN_STRIP_FROM_PATH@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GREP = @GREP@
HAVE_DOT = @HAVE_DOT@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LIB_THREADS@ -Wl,-rpath -Wl,$(full_top_builddir)/.libs
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIB_THREADS = @LIB_THREADS@
LIB_THREADS_SHARED = @LIB_THREADS_SHARED@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
Makefilein = @Makefilein@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCCFLAGS = @PCCFLAGS@
PCHFLAGS = @PCHFLAGS@
PS = @PS@
RANLIB = @RANLIB@
RPATH_OPTION = @RPATH_OPTION@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
THREADSMAX = @THREADSMAX@
VERSION = @VERSION@
VERSIONINFO = @VERSIONINFO@
VERSION_MAJOR = @VERSION_MAJOR@
VERSION_MINOR = @VERSION_MINOR@
VERSION_REVISION = @VERSION_REVISION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
enable_shared = @enable_shared@
enable_static = @enable_static@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libcwd_config_nonthreading = @libcwd_config_nonthreading@
libcwd_config_threading = @libcwd_config_threading@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
lt_ECHO = @lt_ECHO@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
true = @true@
AUTOMAKE_OPTIONS = foreign
CLEANFILES = $(EXTRA_PROGRAMS)
hello_world_CXXFLAGS = -g
hello_world_SOURCES = hello_world.cc
location_CXXFLAGS = -g
location_SOURCES = location.cc
syslog_CXXFLAGS = -g
syslog_SOURCES = syslog.cc
initbug_CXXFLAGS = -g
initbug_SOURCES = initbug.cc initbug_GlobalObject.cc
dout_alloc_CXXFLAGS = -g
dout_alloc_SOURCES = dout_alloc.cc
mangling_CXXFLAGS = -g
mangling_SOURCES = mangling.cc
lines_CXXFLAGS = -g
lines_SOURCES = lines.cc
memalign_CXXFLAGS = -g
memalign_SOURCES = memalign.cc
stabs_CXXFLAGS = -O2
stabs_SOURCES = stabs.cc
inlined_CXXFLAGS = -g -finline
inlined_SOURCES = inlined.cc inlined_main.cc
threads_CXXFLAGS = -D_REENTRANT -DLIBCWD_THREAD_SAFE @CXXFLAGS@
threads_SOURCES = threads.cc
threads_LDADD = ../libcwd_r.la
threads2_CXXFLAGS = -D_REENTRANT -DLIBCWD_THREAD_SAFE @CXXFLAGS@
threads2_SOURCES = threads2.cc
threads2_LDADD = ../libcwd_r.la
threads3_CXXFLAGS = -D_REENTRANT -DLIBCWD_THREAD_SAFE @CXXFLAGS@
threads3_SOURCES = threads3.cc
threads3_LDADD = ../libcwd_r.la
threads4_CXXFLAGS = -D_REENTRANT -DLIBCWD_THREAD_SAFE @CXXFLAGS@
threads4_SOURCES = threads4.cc
threads4_LDADD = ../libcwd_r.la
noinst_HEADERS = sys.h debug.h sys.h syslog_debug.h threads_debug.h initbug_GlobalObject.h hello_world_debug.h
LDADD = ../libcwd.la
full_top_builddir := $(shell (cd $(top_builddir); pwd))
INCLUDES = -I. -I$(top_builddir)/include -I$(srcdir)/../include
DEFAULT_INCLUDES = 
MAINTAINERCLEANFILES = $(srcdir)/Makefile.in
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
dout_alloc$(EXEEXT): $(dout_alloc_OBJECTS) $(dout_alloc_DEPENDENCIES) 
	@rm -f dout_alloc$(EXEEXT)
	$(dout_alloc_LINK) $(dout_alloc_OBJECTS) $(dout_alloc_LDADD) $(LIBS)
hello_world$(EXEEXT): $(hello_world_OBJECTS) $(hello_world_DEPENDENCIES) 
	@rm -f hello_world$(EXEEXT)
	$(hello_world_LINK) $(hello_world_OBJECTS) $(hello_world_LDADD) $(LIBS)
initbug$(EXEEXT): $(initbug_OBJECTS) $(initbug_DEPENDENCIES) 
	@rm -f initbug$(EXEEXT)
	$(initbug_LINK) $(initbug_OBJECTS) $(initbug_LDADD) $(LIBS)
inlined$(EXEEXT): $(inlined_OBJECTS) $(inlined_DEPENDENCIES) 
	@rm -f inlined$(EXEEXT)
	$(inlined_LINK) $(inlined_OBJECTS) $(inlined_LDADD) $(LIBS)
lines$(EXEEXT): $(lines_OBJECTS) $(lines_DEPENDENCIES) 
	@rm -f lines$(EXEEXT)
	$(lines_LINK) $(lines_OBJECTS) $(lines_LDADD) $(LIBS)
location$(EXEEXT): $(location_OBJECTS) $(location_DEPENDENCIES) 
	@rm -f location$(EXEEXT)
	$(location_LINK) $(location_OBJECTS) $(location_LDADD) $(LIBS)
mangling$(EXEEXT): $(mangling_OBJECTS) $(mangling_DEPENDENCIES) 
	@rm -f mangling$(EXEEXT)
	$(mangling_LINK) $(mangling_OBJECTS) $(mangling_LDADD) $(LIBS)
memalign$(EXEEXT): $(memalign_OBJECTS) $(memalign_DEPENDENCIES) 
	@rm -f memalign$(EXEEXT)
	$(memalign_LINK) $(memalign_OBJECTS) $(memalign_LDADD) $(LIBS)
stabs$(EXEEXT): $(stabs_OBJECTS) $(stabs_DEPENDENCIES) 
	@rm -f stabs$(EXEEXT)
	$(stabs_LINK) $(stabs_OBJECTS) $(stabs_LDADD) $(LIBS)
syslog$(EXEEXT): $(syslog_OBJECTS) $(syslog_DEPENDENCIES) 
	@rm -f syslog$(EXEEXT)
	$(syslog_LINK) $(syslog_OBJECTS) $(syslog_LDADD) $(LIBS)
threads$(EXEEXT): $(threads_OBJECTS) $(threads_DEPENDENCIES) 
	@rm -f threads$(EXEEXT)
	$(threads_LINK) $(threads_OBJECTS) $(threads_LDADD) $(LIBS)
threads2$(EXEEXT): $(threads2_OBJECTS) $(threads2_DEPENDENCIES) 
	@rm -f threads2$(EXEEXT)
	$(threads2_LINK) $(threads2_OBJECTS) $(threads2_LDADD) $(LIBS)
threads3$(EXEEXT): $(threads3_OBJECTS) $(threads3_DEPENDENCIES) 
	@rm -f threads3$(EXEEXT)
	$(threads3_LINK) $(threads3_OBJECTS) $(threads3_LDADD) $(LIBS)
threads4$(EXEEXT): $(threads4_OBJECTS) $(threads4_DEPENDENCIES) 
	@rm -f threads4$(EXEEXT)
	$(threads4_LINK) $(threads4_OBJECTS) $(threads4_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dout_alloc-dout_alloc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hello_world-hello_world.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/initbug-initbug.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/initbug-initbug_GlobalObject.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inlined-inlined.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inlined-inlined_main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lines-lines.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/location-location.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mangling-mangling.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memalign-memalign.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stabs-stabs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syslog-syslog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threads-threads.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threads2-threads2.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threads3-threads3.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threads4-threads4.Po@am__quote@

.cc.o:
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

dout_alloc-dout_alloc.o: dout_alloc.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dout_alloc_CXXFLAGS) $(CXXFLAGS) -MT dout_alloc-dout_alloc.o -MD -MP -MF $(DEPDIR)/dout_alloc-dout_alloc.Tpo -c -o dout_alloc-dout_alloc.o `test -f 'dout_alloc.cc' || echo '$(srcdir)/'`dout_alloc.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/dout_alloc-dout_alloc.Tpo $(DEPDIR)/dout_alloc-dout_alloc.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='dout_alloc.cc' object='dout_alloc-dout_alloc.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dout_alloc_CXXFLAGS) $(CXXFLAGS) -c -o dout_alloc-dout_alloc.o `test -f 'dout_alloc.cc' || echo '$(srcdir)/'`dout_alloc.cc

dout_alloc-dout_alloc.obj: dout_alloc.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dout_alloc_CXXFLAGS) $(CXXFLAGS) -MT dout_alloc-dout_alloc.obj -MD -MP -MF $(DEPDIR)/dout_alloc-dout_alloc.Tpo -c -o dout_alloc-dout_alloc.obj `if test -f 'dout_alloc.cc'; then $(CYGPATH_W) 'dout_alloc.cc'; else $(CYGPATH_W) '$(srcdir)/dout_alloc.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/dout_alloc-dout_alloc.Tpo $(DEPDIR)/dout_alloc-dout_alloc.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='dout_alloc.cc' object='dout_alloc-dout_alloc.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dout_alloc_CXXFLAGS) $(CXXFLAGS) -c -o dout_alloc-dout_alloc.obj `if test -f 'dout_alloc.cc'; then $(CYGPATH_W) 'dout_alloc.cc'; else $(CYGPATH_W) '$(srcdir)/dout_alloc.cc'; fi`

hello_world-hello_world.o: hello_world.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hello_world_CXXFLAGS) $(CXXFLAGS) -MT hello_world-hello_world.o -MD -MP -MF $(DEPDIR)/hello_world-hello_world.Tpo -c -o hello_world-hello_world.o `test -f 'hello_world.cc' || echo '$(srcdir)/'`hello_world.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/hello_world-hello_world.Tpo $(DEPDIR)/hello_world-hello_world.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='hello_world.cc' object='hello_world-hello_world.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hello_world_CXXFLAGS) $(CXXFLAGS) -c -o hello_world-hello_world.o `test -f 'hello_world.cc' || echo '$(srcdir)/'`hello_world.cc

hello_world-hello_world.obj: hello_world.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hello_world_CXXFLAGS) $(CXXFLAGS) -MT hello_world-hello_world.obj -MD -MP -MF $(DEPDIR)/hello_world-hello_world.Tpo -c -o hello_world-hello_world.obj `if test -f 'hello_world.cc'; then $(CYGPATH_W) 'hello_world.cc'; else $(CYGPATH_W) '$(srcdir)/hello_world.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/hello_world-hello_world.Tpo $(DEPDIR)/hello_world-hello_world.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='hello_world.cc' object='hello_world-hello_world.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hello_world_CXXFLAGS) $(CXXFLAGS) -c -o hello_world-hello_world.obj `if test -f 'hello_world.cc'; then $(CYGPATH_W) 'hello_world.cc'; else $(CYGPATH_W) '$(srcdir)/hello_world.cc'; fi`

initbug-initbug.o: initbug.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -MT initbug-initbug.o -MD -MP -MF $(DEPDIR)/initbug-initbug.Tpo -c -o initbug-initbug.o `test -f 'initbug.cc' || echo '$(srcdir)/'`initbug.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/initbug-initbug.Tpo $(DEPDIR)/initbug-initbug.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='initbug.cc' object='initbug-initbug.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -c -o initbug-initbug.o `test -f 'initbug.cc' || echo '$(srcdir)/'`initbug.cc

initbug-initbug.obj: initbug.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -MT initbug-initbug.obj -MD -MP -MF $(DEPDIR)/initbug-initbug.Tpo -c -o initbug-initbug.obj `if test -f 'initbug.cc'; then $(CYGPATH_W) 'initbug.cc'; else $(CYGPATH_W) '$(srcdir)/initbug.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/initbug-initbug.Tpo $(DEPDIR)/initbug-initbug.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='initbug.cc' object='initbug-initbug.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -c -o initbug-initbug.obj `if test -f 'initbug.cc'; then $(CYGPATH_W) 'initbug.cc'; else $(CYGPATH_W) '$(srcdir)/initbug.cc'; fi`

initbug-initbug_GlobalObject.o: initbug_GlobalObject.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -MT initbug-initbug_GlobalObject.o -MD -MP -MF $(DEPDIR)/initbug-initbug_GlobalObject.Tpo -c -o initbug-initbug_GlobalObject.o `test -f 'initbug_GlobalObject.cc' || echo '$(srcdir)/'`initbug_GlobalObject.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/initbug-initbug_GlobalObject.Tpo $(DEPDIR)/initbug-initbug_GlobalObject.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='initbug_GlobalObject.cc' object='initbug-initbug_GlobalObject.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -c -o initbug-initbug_GlobalObject.o `test -f 'initbug_GlobalObject.cc' || echo '$(srcdir)/'`initbug_GlobalObject.cc

initbug-initbug_GlobalObject.obj: initbug_GlobalObject.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -MT initbug-initbug_GlobalObject.obj -MD -MP -MF $(DEPDIR)/initbug-initbug_GlobalObject.Tpo -c -o initbug-initbug_GlobalObject.obj `if test -f 'initbug_GlobalObject.cc'; then $(CYGPATH_W) 'initbug_GlobalObject.cc'; else $(CYGPATH_W) '$(srcdir)/initbug_GlobalObject.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/initbug-initbug_GlobalObject.Tpo $(DEPDIR)/initbug-initbug_GlobalObject.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='initbug_GlobalObject.cc' object='initbug-initbug_GlobalObject.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(initbug_CXXFLAGS) $(CXXFLAGS) -c -o initbug-initbug_GlobalObject.obj `if test -f 'initbug_GlobalObject.cc'; then $(CYGPATH_W) 'initbug_GlobalObject.cc'; else $(CYGPATH_W) '$(srcdir)/initbug_GlobalObject.cc'; fi`

inlined-inlined.o: inlined.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -MT inlined-inlined.o -MD -MP -MF $(DEPDIR)/inlined-inlined.Tpo -c -o inlined-inlined.o `test -f 'inlined.cc' || echo '$(srcdir)/'`inlined.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/inlined-inlined.Tpo $(DEPDIR)/inlined-inlined.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='inlined.cc' object='inlined-inlined.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -c -o inlined-inlined.o `test -f 'inlined.cc' || echo '$(srcdir)/'`inlined.cc

inlined-inlined.obj: inlined.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -MT inlined-inlined.obj -MD -MP -MF $(DEPDIR)/inlined-inlined.Tpo -c -o inlined-inlined.obj `if test -f 'inlined.cc'; then $(CYGPATH_W) 'inlined.cc'; else $(CYGPATH_W) '$(srcdir)/inlined.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/inlined-inlined.Tpo $(DEPDIR)/inlined-inlined.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='inlined.cc' object='inlined-inlined.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -c -o inlined-inlined.obj `if test -f 'inlined.cc'; then $(CYGPATH_W) 'inlined.cc'; else $(CYGPATH_W) '$(srcdir)/inlined.cc'; fi`

inlined-inlined_main.o: inlined_main.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -MT inlined-inlined_main.o -MD -MP -MF $(DEPDIR)/inlined-inlined_main.Tpo -c -o inlined-inlined_main.o `test -f 'inlined_main.cc' || echo '$(srcdir)/'`inlined_main.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/inlined-inlined_main.Tpo $(DEPDIR)/inlined-inlined_main.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='inlined_main.cc' object='inlined-inlined_main.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -c -o inlined-inlined_main.o `test -f 'inlined_main.cc' || echo '$(srcdir)/'`inlined_main.cc

inlined-inlined_main.obj: inlined_main.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -MT inlined-inlined_main.obj -MD -MP -MF $(DEPDIR)/inlined-inlined_main.Tpo -c -o inlined-inlined_main.obj `if test -f 'inlined_main.cc'; then $(CYGPATH_W) 'inlined_main.cc'; else $(CYGPATH_W) '$(srcdir)/inlined_main.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/inlined-inlined_main.Tpo $(DEPDIR)/inlined-inlined_main.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='inlined_main.cc' object='inlined-inlined_main.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(inlined_CXXFLAGS) $(CXXFLAGS) -c -o inlined-inlined_main.obj `if test -f 'inlined_main.cc'; then $(CYGPATH_W) 'inlined_main.cc'; else $(CYGPATH_W) '$(srcdir)/inlined_main.cc'; fi`

lines-lines.o: lines.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lines_CXXFLAGS) $(CXXFLAGS) -MT lines-lines.o -MD -MP -MF $(DEPDIR)/lines-lines.Tpo -c -o lines-lines.o `test -f 'lines.cc' || echo '$(srcdir)/'`lines.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/lines-lines.Tpo $(DEPDIR)/lines-lines.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lines.cc' object='lines-lines.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lines_CXXFLAGS) $(CXXFLAGS) -c -o lines-lines.o `test -f 'lines.cc' || echo '$(srcdir)/'`lines.cc

lines-lines.obj: lines.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lines_CXXFLAGS) $(CXXFLAGS) -MT lines-lines.obj -MD -MP -MF $(DEPDIR)/lines-lines.Tpo -c -o lines-lines.obj `if test -f 'lines.cc'; then $(CYGPATH_W) 'lines.cc'; else $(CYGPATH_W) '$(srcdir)/lines.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/lines-lines.Tpo $(DEPDIR)/lines-lines.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lines.cc' object='lines-lines.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lines_CXXFLAGS) $(CXXFLAGS) -c -o lines-lines.obj `if test -f 'lines.cc'; then $(CYGPATH_W) 'lines.cc'; else $(CYGPATH_W) '$(srcdir)/lines.cc'; fi`

location-location.o: location.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(location_CXXFLAGS) $(CXXFLAGS) -MT location-location.o -MD -MP -MF $(DEPDIR)/location-location.Tpo -c -o location-location.o `test -f 'location.cc' || echo '$(srcdir)/'`location.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/location-location.Tpo $(DEPDIR)/location-location.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='location.cc' object='location-location.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(location_CXXFLAGS) $(CXXFLAGS) -c -o location-location.o `test -f 'location.cc' || echo '$(srcdir)/'`location.cc

location-location.obj: location.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(location_CXXFLAGS) $(CXXFLAGS) -MT location-location.obj -MD -MP -MF $(DEPDIR)/location-location.Tpo -c -o location-location.obj `if test -f 'location.cc'; then $(CYGPATH_W) 'location.cc'; else $(CYGPATH_W) '$(srcdir)/location.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/location-location.Tpo $(DEPDIR)/location-location.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='location.cc' object='location-location.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(location_CXXFLAGS) $(CXXFLAGS) -c -o location-location.obj `if test -f 'location.cc'; then $(CYGPATH_W) 'location.cc'; else $(CYGPATH_W) '$(srcdir)/location.cc'; fi`

mangling-mangling.o: mangling.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(mangling_CXXFLAGS) $(CXXFLAGS) -MT mangling-mangling.o -MD -MP -MF $(DEPDIR)/mangling-mangling.Tpo -c -o mangling-mangling.o `test -f 'mangling.cc' || echo '$(srcdir)/'`mangling.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/mangling-mangling.Tpo $(DEPDIR)/mangling-mangling.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='mangling.cc' object='mangling-mangling.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(mangling_CXXFLAGS) $(CXXFLAGS) -c -o mangling-mangling.o `test -f 'mangling.cc' || echo '$(srcdir)/'`mangling.cc

mangling-mangling.obj: mangling.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(mangling_CXXFLAGS) $(CXXFLAGS) -MT mangling-mangling.obj -MD -MP -MF $(DEPDIR)/mangling-mangling.Tpo -c -o mangling-mangling.obj `if test -f 'mangling.cc'; then $(CYGPATH_W) 'mangling.cc'; else $(CYGPATH_W) '$(srcdir)/mangling.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/mangling-mangling.Tpo $(DEPDIR)/mangling-mangling.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='mangling.cc' object='mangling-mangling.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(mangling_CXXFLAGS) $(CXXFLAGS) -c -o mangling-mangling.obj `if test -f 'mangling.cc'; then $(CYGPATH_W) 'mangling.cc'; else $(CYGPATH_W) '$(srcdir)/mangling.cc'; fi`

memalign-memalign.o: memalign.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(memalign_CXXFLAGS) $(CXXFLAGS) -MT memalign-memalign.o -MD -MP -MF $(DEPDIR)/memalign-memalign.Tpo -c -o memalign-memalign.o `test -f 'memalign.cc' || echo '$(srcdir)/'`memalign.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/memalign-memalign.Tpo $(DEPDIR)/memalign-memalign.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='memalign.cc' object='memalign-memalign.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(memalign_CXXFLAGS) $(CXXFLAGS) -c -o memalign-memalign.o `test -f 'memalign.cc' || echo '$(srcdir)/'`memalign.cc

memalign-memalign.obj: memalign.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(memalign_CXXFLAGS) $(CXXFLAGS) -MT memalign-memalign.obj -MD -MP -MF $(DEPDIR)/memalign-memalign.Tpo -c -o memalign-memalign.obj `if test -f 'memalign.cc'; then $(CYGPATH_W) 'memalign.cc'; else $(CYGPATH_W) '$(srcdir)/memalign.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/memalign-memalign.Tpo $(DEPDIR)/memalign-memalign.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='memalign.cc' object='memalign-memalign.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(memalign_CXXFLAGS) $(CXXFLAGS) -c -o memalign-memalign.obj `if test -f 'memalign.cc'; then $(CYGPATH_W) 'memalign.cc'; else $(CYGPATH_W) '$(srcdir)/memalign.cc'; fi`

stabs-stabs.o: stabs.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(stabs_CXXFLAGS) $(CXXFLAGS) -MT stabs-stabs.o -MD -MP -MF $(DEPDIR)/stabs-stabs.Tpo -c -o stabs-stabs.o `test -f 'stabs.cc' || echo '$(srcdir)/'`stabs.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/stabs-stabs.Tpo $(DEPDIR)/stabs-stabs.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='stabs.cc' object='stabs-stabs.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(stabs_CXXFLAGS) $(CXXFLAGS) -c -o stabs-stabs.o `test -f 'stabs.cc' || echo '$(srcdir)/'`stabs.cc

stabs-stabs.obj: stabs.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(stabs_CXXFLAGS) $(CXXFLAGS) -MT stabs-stabs.obj -MD -MP -MF $(DEPDIR)/stabs-stabs.Tpo -c -o stabs-stabs.obj `if test -f 'stabs.cc'; then $(CYGPATH_W) 'stabs.cc'; else $(CYGPATH_W) '$(srcdir)/stabs.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/stabs-stabs.Tpo $(DEPDIR)/stabs-stabs.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='stabs.cc' object='stabs-stabs.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(stabs_CXXFLAGS) $(CXXFLAGS) -c -o stabs-stabs.obj `if test -f 'stabs.cc'; then $(CYGPATH_W) 'stabs.cc'; else $(CYGPATH_W) '$(srcdir)/stabs.cc'; fi`

syslog-syslog.o: syslog.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog_CXXFLAGS) $(CXXFLAGS) -MT syslog-syslog.o -MD -MP -MF $(DEPDIR)/syslog-syslog.Tpo -c -o syslog-syslog.o `test -f 'syslog.cc' || echo '$(srcdir)/'`syslog.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/syslog-syslog.Tpo $(DEPDIR)/syslog-syslog.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='syslog.cc' object='syslog-syslog.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog_CXXFLAGS) $(CXXFLAGS) -c -o syslog-syslog.o `test -f 'syslog.cc' || echo '$(srcdir)/'`syslog.cc

syslog-syslog.obj: syslog.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog_CXXFLAGS) $(CXXFLAGS) -MT syslog-syslog.obj -MD -MP -MF $(DEPDIR)/syslog-syslog.Tpo -c -o syslog-syslog.obj `if test -f 'syslog.cc'; then $(CYGPATH_W) 'syslog.cc'; else $(CYGPATH_W) '$(srcdir)/syslog.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/syslog-syslog.Tpo $(DEPDIR)/syslog-syslog.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='syslog.cc' object='syslog-syslog.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(syslog_CXXFLAGS) $(CXXFLAGS) -c -o syslog-syslog.obj `if test -f 'syslog.cc'; then $(CYGPATH_W) 'syslog.cc'; else $(CYGPATH_W) '$(srcdir)/syslog.cc'; fi`

threads-threads.o: threads.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads_CXXFLAGS) $(CXXFLAGS) -MT threads-threads.o -MD -MP -MF $(DEPDIR)/threads-threads.Tpo -c -o threads-threads.o `test -f 'threads.cc' || echo '$(srcdir)/'`threads.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads-threads.Tpo $(DEPDIR)/threads-threads.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads.cc' object='threads-threads.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads_CXXFLAGS) $(CXXFLAGS) -c -o threads-threads.o `test -f 'threads.cc' || echo '$(srcdir)/'`threads.cc

threads-threads.obj: threads.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads_CXXFLAGS) $(CXXFLAGS) -MT threads-threads.obj -MD -MP -MF $(DEPDIR)/threads-threads.Tpo -c -o threads-threads.obj `if test -f 'threads.cc'; then $(CYGPATH_W) 'threads.cc'; else $(CYGPATH_W) '$(srcdir)/threads.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads-threads.Tpo $(DEPDIR)/threads-threads.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads.cc' object='threads-threads.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads_CXXFLAGS) $(CXXFLAGS) -c -o threads-threads.obj `if test -f 'threads.cc'; then $(CYGPATH_W) 'threads.cc'; else $(CYGPATH_W) '$(srcdir)/threads.cc'; fi`

threads2-threads2.o: threads2.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads2_CXXFLAGS) $(CXXFLAGS) -MT threads2-threads2.o -MD -MP -MF $(DEPDIR)/threads2-threads2.Tpo -c -o threads2-threads2.o `test -f 'threads2.cc' || echo '$(srcdir)/'`threads2.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads2-threads2.Tpo $(DEPDIR)/threads2-threads2.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads2.cc' object='threads2-threads2.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads2_CXXFLAGS) $(CXXFLAGS) -c -o threads2-threads2.o `test -f 'threads2.cc' || echo '$(srcdir)/'`threads2.cc

threads2-threads2.obj: threads2.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads2_CXXFLAGS) $(CXXFLAGS) -MT threads2-threads2.obj -MD -MP -MF $(DEPDIR)/threads2-threads2.Tpo -c -o threads2-threads2.obj `if test -f 'threads2.cc'; then $(CYGPATH_W) 'threads2.cc'; else $(CYGPATH_W) '$(srcdir)/threads2.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads2-threads2.Tpo $(DEPDIR)/threads2-threads2.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads2.cc' object='threads2-threads2.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads2_CXXFLAGS) $(CXXFLAGS) -c -o threads2-threads2.obj `if test -f 'threads2.cc'; then $(CYGPATH_W) 'threads2.cc'; else $(CYGPATH_W) '$(srcdir)/threads2.cc'; fi`

threads3-threads3.o: threads3.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads3_CXXFLAGS) $(CXXFLAGS) -MT threads3-threads3.o -MD -MP -MF $(DEPDIR)/threads3-threads3.Tpo -c -o threads3-threads3.o `test -f 'threads3.cc' || echo '$(srcdir)/'`threads3.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads3-threads3.Tpo $(DEPDIR)/threads3-threads3.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads3.cc' object='threads3-threads3.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads3_CXXFLAGS) $(CXXFLAGS) -c -o threads3-threads3.o `test -f 'threads3.cc' || echo '$(srcdir)/'`threads3.cc

threads3-threads3.obj: threads3.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads3_CXXFLAGS) $(CXXFLAGS) -MT threads3-threads3.obj -MD -MP -MF $(DEPDIR)/threads3-threads3.Tpo -c -o threads3-threads3.obj `if test -f 'threads3.cc'; then $(CYGPATH_W) 'threads3.cc'; else $(CYGPATH_W) '$(srcdir)/threads3.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads3-threads3.Tpo $(DEPDIR)/threads3-threads3.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads3.cc' object='threads3-threads3.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads3_CXXFLAGS) $(CXXFLAGS) -c -o threads3-threads3.obj `if test -f 'threads3.cc'; then $(CYGPATH_W) 'threads3.cc'; else $(CYGPATH_W) '$(srcdir)/threads3.cc'; fi`

threads4-threads4.o: threads4.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads4_CXXFLAGS) $(CXXFLAGS) -MT threads4-threads4.o -MD -MP -MF $(DEPDIR)/threads4-threads4.Tpo -c -o threads4-threads4.o `test -f 'threads4.cc' || echo '$(srcdir)/'`threads4.cc
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads4-threads4.Tpo $(DEPDIR)/threads4-threads4.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads4.cc' object='threads4-threads4.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads4_CXXFLAGS) $(CXXFLAGS) -c -o threads4-threads4.o `test -f 'threads4.cc' || echo '$(srcdir)/'`threads4.cc

threads4-threads4.obj: threads4.cc
@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads4_CXXFLAGS) $(CXXFLAGS) -MT threads4-threads4.obj -MD -MP -MF $(DEPDIR)/threads4-threads4.Tpo -c -o threads4-threads4.obj `if test -f 'threads4.cc'; then $(CYGPATH_W) 'threads4.cc'; else $(CYGPATH_W) '$(srcdir)/threads4.cc'; fi`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/threads4-threads4.Tpo $(DEPDIR)/threads4-threads4.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='threads4.cc' object='threads4-threads4.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(threads4_CXXFLAGS) $(CXXFLAGS) -c -o threads4-threads4.obj `if test -f 'threads4.cc'; then $(CYGPATH_W) 'threads4.cc'; else $(CYGPATH_W) '$(srcdir)/threads4.cc'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(HEADERS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool ctags distclean distclean-compile \
	distclean-generic distclean-libtool distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
